
    $(document).ready(function () {
      // Generate captcha on page load
      generateCaptcha();
      // Handle captcha refresh button click
      $("#refresh-captcha").click(function () {
        generateCaptcha();
        $("#captcha-input").val("");
      });
      // Handle form submit
     

      // Define the function generateCaptcha()
      function generateCaptcha() {
        // Get the canvas element with ID captcha and create an instance of its canvas rendering context
        var a = $("#captcha")[0],
            b = a.getContext("2d");
          // Clear the canvas
          b.clearRect(0, 0, a.width, a.height);
          // Define the string of characters that can be included in the captcha
          var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
              e = "",
              g = -45,
              h = 45,
              i = h - g,
              j = 20,
              k = 30,
              l = k - j;
          // Generate each character of the captcha
          for (var m = 0; m < 6; m++) {
            // Select random letter from the pool to be part of the captcha
            var n = f.charAt(Math.floor(Math.random() * f.length));
            e += n;
            
            // Set up the text formatting
            b.font = j + Math.random() * l + "px Arial";
            b.textAlign = "center";
            b.textBaseline = "middle";
            
            // Set the color of the text
            b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
        
            // Add the character to the canvas
            var o = g + Math.random() * i;
            b.translate(20 + m * 30, a.height / 2);
            b.rotate(o * Math.PI / 180);
            b.fillText(n, 0, 0);
            b.rotate(-1 * o * Math.PI / 180);
            b.translate(-(20 + m * 30), -1 * a.height / 2);
          }
          // Set the captcha code in session storage and the text box
          sessionStorage.setItem("captchaCode", e);
          $("#captcha-box").val(e);
      }
    });


    // --------------------------------------------------------------------------2---------------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha2").click(function () {
          generateCaptcha();
          $("#captcha-input2").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha2")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode2", e);
            $("#captcha-box2").val(e);
        }
      });



       // ----------------------------------------------------------------------------------3------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha3").click(function () {
          generateCaptcha();
          $("#captcha-input3").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha3")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode3", e);
            $("#captcha-box3").val(e);
        }
      });





       // --------------------------------------------------------------------------4---------------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha4").click(function () {
          generateCaptcha();
          $("#captcha-input4").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha4")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode4", e);
            $("#captcha-box4").val(e);
        }
      });






       // ---------------------------------------------------------------------------------------5--------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha5").click(function () {
          generateCaptcha();
          $("#captcha-input5").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha5")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode5", e);
            $("#captcha-box5").val(e);
        }
      });





       // --------------------------------------------------------------------6---------------------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha6").click(function () {
          generateCaptcha();
          $("#captcha-input6").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha6")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode6", e);
            $("#captcha-box6").val(e);
        }
      });






       // -----------------------------------------------------------------------------------7------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha7").click(function () {
          generateCaptcha();
          $("#captcha-input7").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha7")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode7", e);
            $("#captcha-box7").val(e);
        }
      });






       // -----------------------------------------------------------------------------8------------------------------------------------------------------
  


    
    $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha8").click(function () {
          generateCaptcha();
          $("#captcha-input8").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha8")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode8", e);
            $("#captcha-box8").val(e);
        }
      });





       // -----------------------------------------------------------------------------9-----------------------------------------------------------------
  


    
       $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha9").click(function () {
          generateCaptcha();
          $("#captcha-input9").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha9")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode9", e);
            $("#captcha-box9").val(e);
        }
      });



      

       // -----------------------------------------------------------------------------10-----------------------------------------------------------------
  


    
       $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha10").click(function () {
          generateCaptcha();
          $("#captcha-input10").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha10")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode10", e);
            $("#captcha-box10").val(e);
        }
      });



      

       // -----------------------------------------------------------------------------11----------------------------------------------------------------
  


    
       $(document).ready(function () {
        // Generate captcha on page load
        generateCaptcha();
        // Handle captcha refresh button click
        $("#refresh-captcha11").click(function () {
          generateCaptcha();
          $("#captcha-input11").val("");
        });
        // Handle form submit
       
  
        // Define the function generateCaptcha()
        function generateCaptcha() {
          // Get the canvas element with ID captcha and create an instance of its canvas rendering context
          var a = $("#captcha11")[0],
              b = a.getContext("2d");
            // Clear the canvas
            b.clearRect(0, 0, a.width, a.height);
            // Define the string of characters that can be included in the captcha
            var f = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789",
                e = "",
                g = -45,
                h = 45,
                i = h - g,
                j = 20,
                k = 30,
                l = k - j;
            // Generate each character of the captcha
            for (var m = 0; m < 6; m++) {
              // Select random letter from the pool to be part of the captcha
              var n = f.charAt(Math.floor(Math.random() * f.length));
              e += n;
              
              // Set up the text formatting
              b.font = j + Math.random() * l + "px Arial";
              b.textAlign = "center";
              b.textBaseline = "middle";
              
              // Set the color of the text
              b.fillStyle = "rgb(" + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + "," + Math.floor(Math.random() * 256) + ")";
          
              // Add the character to the canvas
              var o = g + Math.random() * i;
              b.translate(20 + m * 30, a.height / 2);
              b.rotate(o * Math.PI / 180);
              b.fillText(n, 0, 0);
              b.rotate(-1 * o * Math.PI / 180);
              b.translate(-(20 + m * 30), -1 * a.height / 2);
            }
            // Set the captcha code in session storage and the text box
            sessionStorage.setItem("captchaCode11", e);
            $("#captcha-box11").val(e);
        }
      });


